> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Onboard the caller



## OpenAPI

````yaml /public-openapi.json post /registry/v1/users/onboard
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
paths:
  /registry/v1/users/onboard:
    post:
      tags:
        - Core
      summary: Onboard the caller
      operationId: registry.onboard
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/registry-registry-OnboardResponse'
          description: HTTP 200 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/registry-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    registry-registry-OnboardResponse:
      type: object
      required:
        - is_created
        - organisation
        - user
        - groups
        - org
        - user_default
        - extensions_installed
        - recommended_workspaces
      properties:
        extensions_installed:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-OnboardExtensionView'
        groups:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-GroupView'
        is_created:
          type: boolean
        org:
          $ref: '#/components/schemas/registry-registry-WorkspaceView'
        organisation:
          $ref: '#/components/schemas/registry-registry-OrganisationView'
        recommended_workspaces:
          type: array
          items:
            $ref: '#/components/schemas/registry-registry-ProjectRecommendationView'
        user:
          $ref: '#/components/schemas/registry-registry-UserView'
        user_default:
          $ref: '#/components/schemas/registry-registry-WorkspaceView'
    registry-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    registry-registry-OnboardExtensionView:
      type: object
      required:
        - extension
        - extension_status
        - release
      properties:
        extension:
          type: string
        extension_status:
          type: string
        release:
          type: string
    registry-registry-GroupView:
      type: object
      required:
        - id
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
        external_id:
          type:
            - string
            - 'null'
        id:
          type: string
        member_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        name:
          type:
            - string
            - 'null'
        updated_at:
          type: string
    registry-registry-WorkspaceView:
      type: object
      required:
        - id
        - name
        - display_name
        - workspace_status
        - kind
        - root_workspace_id
        - created_by
        - created_at
        - updated_by
        - updated_at
      properties:
        artifact_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        artifact_count_by_kind:
          type:
            - object
            - 'null'
          additionalProperties:
            type: integer
            format: int64
            minimum: 0
          propertyNames:
            type: string
        created_at:
          type: string
        created_by:
          type: string
        display_name:
          type: string
        effective_role:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRole'
        id:
          type: string
        kind:
          $ref: '#/components/schemas/registry-registry-WorkspaceKind'
        member_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        name:
          type: string
        parent:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        parent_id:
          type:
            - string
            - 'null'
        permissions:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceCapabilities'
        root_workspace:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        root_workspace_id:
          type: string
        updated_at:
          type: string
        updated_by:
          type: string
        workspace_status:
          $ref: '#/components/schemas/registry-registry-WorkspaceStatus'
    registry-registry-OrganisationView:
      type: object
      required:
        - id
        - created_at
        - updated_at
        - artifact_count_by_kind
        - total
      properties:
        artifact_count_by_kind:
          type: object
          additionalProperties:
            type: integer
            format: int64
            minimum: 0
          propertyNames:
            type: string
        created_at:
          type: string
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        total:
          type: integer
          format: int64
          minimum: 0
        updated_at:
          type: string
    registry-registry-ProjectRecommendationView:
      type: object
      required:
        - project
        - matched_email
      properties:
        matched_email:
          type: string
        project:
          $ref: '#/components/schemas/registry-registry-ProjectView'
        resolved_via:
          type:
            - string
            - 'null'
    registry-registry-UserView:
      type: object
      required:
        - id
        - created_at
        - updated_at
      properties:
        artifact_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        artifact_count_by_kind:
          type:
            - object
            - 'null'
          additionalProperties:
            type: integer
            format: int64
            minimum: 0
          propertyNames:
            type: string
        created_at:
          type: string
        email:
          type:
            - string
            - 'null'
        enrichment:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-PersonEnrichment'
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        updated_at:
          type: string
    registry-registry-WorkspaceRole:
      type: string
      enum:
        - admin
        - member
        - viewer
    registry-registry-WorkspaceKind:
      type: string
      enum:
        - user_default
        - org_default
        - default
    registry-registry-WorkspaceRefView:
      type: object
      required:
        - id
        - name
        - display_name
      properties:
        display_name:
          type: string
        id:
          type: string
        name:
          type: string
    registry-registry-WorkspaceCapabilities:
      type: object
      required:
        - can_read
        - can_update
        - can_create_content
        - can_delete
        - can_manage_members
        - can_discover
        - can_join
        - can_leave
      properties:
        can_create_content:
          type: boolean
        can_delete:
          type: boolean
        can_discover:
          type: boolean
        can_join:
          type: boolean
        can_leave:
          type: boolean
        can_manage_members:
          type: boolean
        can_read:
          type: boolean
        can_update:
          type: boolean
    registry-registry-WorkspaceStatus:
      type: string
      enum:
        - active
        - archived
        - deleted
    registry-registry-ProjectView:
      type: object
      required:
        - id
        - name
        - display_name
        - project_status
        - workspace_id
        - root_workspace_id
        - created_by
        - created_at
        - updated_by
        - updated_at
      properties:
        artifact_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        artifact_count_by_kind:
          type:
            - object
            - 'null'
          additionalProperties:
            type: integer
            format: int64
            minimum: 0
          propertyNames:
            type: string
        created_at:
          type: string
        created_by:
          type: string
        display_name:
          type: string
        id:
          type: string
        knowledge_urls:
          type: array
          items:
            type: string
        name:
          type: string
        permissions:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceCapabilities'
        project_status:
          $ref: '#/components/schemas/registry-registry-WorkspaceStatus'
        root_workspace:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        root_workspace_id:
          type: string
        updated_at:
          type: string
        updated_by:
          type: string
        workspace:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-WorkspaceRefView'
        workspace_id:
          type: string
    registry-registry-PersonEnrichment:
      type: object
      required:
        - enrichment_status
      properties:
        enriched_at:
          type:
            - string
            - 'null'
        enrichment_status:
          type: string
        error_class:
          type:
            - string
            - 'null'
        grounding:
          type:
            - object
            - 'null'
        profile:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/registry-registry-PersonProfile'
        provider:
          type:
            - string
            - 'null'
        reason:
          type:
            - string
            - 'null'
        stamped_at:
          type:
            - string
            - 'null'
      additionalProperties: false
    registry-registry-PersonProfile:
      type: object
      properties:
        company:
          type:
            - string
            - 'null'
        department:
          type:
            - string
            - 'null'
        full_name:
          type:
            - string
            - 'null'
        github_url:
          type:
            - string
            - 'null'
        linkedin_url:
          type:
            - string
            - 'null'
        sub_department:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        twitter_url:
          type:
            - string
            - 'null'
        website_url:
          type:
            - string
            - 'null'
      additionalProperties: false
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````